import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (i, t, a, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, a) : t, l = i.length - 1, o; l >= 0; l--)
    (o = i[l]) && (e = (r ? o(t, a, e) : o(e)) || e);
  return r && e && g(t, a, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--layersLarge", this.class = "c-pieIcon c-pieIcon--layersLarge", this.name = "IconLayersLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--layersLarge"><path d="M16 21.39 8.895 16l-1.452 1.094L16 23.586l8.558-6.492L23.114 16z"></path><path d="M6.28 14.023a.998.998 0 0 1 0-1.602L16 5.054l9.722 7.367a.998.998 0 0 1 0 1.602l-1.164.875L26.01 16l.77-.586a2.748 2.748 0 0 0 0-4.375L16 2.875 5.22 11.03a2.747 2.747 0 0 0 0 4.375l.77.586 1.453-1.093z"></path><path d="M26.78 16.586 26.01 16l-1.452 1.094 1.164.875a.997.997 0 0 1 0 1.601L16 26.946 6.28 19.58a1 1 0 0 1 0-1.602l1.163-.875L5.99 16l-.77.586a2.748 2.748 0 0 0 0 4.375L16 29.125l10.78-8.172a2.748 2.748 0 0 0 0-4.375z"></path><path d="m8.895 16-1.452-1.102L5.99 16l1.453 1.094z"></path><path d="m23.114 16 1.444 1.094L26.01 16l-1.452-1.102z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  f("icon-layers-large")
], s);
export {
  s as IconLayersLarge
};
